[Buildroot] [git commit] package/restorecond: Add new init script

Thomas Petazzoni thomas.petazzoni at bootlin.com
Fri Aug 20 21:34:35 UTC 2021


commit: https://git.buildroot.net/buildroot/commit/?id=99896b841b30043f05a7dd2e9d9a9a48376f3aa3
branch: https://git.buildroot.net/buildroot/commit/?id=refs/heads/master

The current restorecond upstream init script is no good fit for the
user space generated by buildroot, so we provide our own one.

Signed-off-by: José Pekkarinen <jose.pekkarinen at unikie.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni at bootlin.com>
---
 package/restorecond/S02restorecond | 54 ++++++++++++++++++++++++++++++++++++++
 package/restorecond/restorecond.mk |  4 +--
 2 files changed, 56 insertions(+), 2 deletions(-)

diff --git a/package/restorecond/S02restorecond b/package/restorecond/S02restorecond
new file mode 100644
index 0000000000..796b07a32f
--- /dev/null
+++ b/package/restorecond/S02restorecond
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+DAEMON=restorecond
+PIDFILE=/var/run/$DAEMON.pid
+
+RESTORECOND_ARGS=""
+
+# shellcheck source=/dev/null
+[ -r "/etc/default/$DAEMON" ] && . "/etc/default/$DAEMON"
+
+start()
+{
+	printf 'Starting %s: ' "$DAEMON"
+	start-stop-daemon -b -m -S -q -p "$PIDFILE" -x "/usr/sbin/$DAEMON" \
+		-- $RESTORECOND_ARGS
+	status=$?
+	if [ "$status" -eq 0 ]; then
+		echo "OK"
+	else
+		echo "FAIL"
+	fi
+	return "$status"
+}
+
+stop()
+{
+	printf 'Stopping %s: ' "$DAEMON"
+	start-stop-daemon -K -q -p $PIDFILE -R TERM/30/KILL/5 -n $DAEMON
+	status=$?
+	if [ "$status" -eq 0 ]; then
+		rm -f "$PIDFILE"
+		echo "OK"
+	else
+		echo "FAIL"
+	fi
+	return "$status"
+}
+
+restart()
+{
+	stop
+	sleep 1
+	start
+}
+
+case "$1" in
+	start|stop|restart)
+		"$1";;
+	reload)
+		restart;;
+	*)
+		echo $"Usage: $0 {start|stop|restart|reload}"
+		exit 1
+esac
diff --git a/package/restorecond/restorecond.mk b/package/restorecond/restorecond.mk
index d08e0a722e..671f071b1d 100644
--- a/package/restorecond/restorecond.mk
+++ b/package/restorecond/restorecond.mk
@@ -27,8 +27,8 @@ define RESTORECOND_BUILD_CMDS
 endef
 
 define RESTORECOND_INSTALL_INIT_SYSV
-	$(INSTALL) -m 0755 -D $(@D)/restorecond.init \
-		$(TARGET_DIR)/etc/init.d/S20restorecond
+	$(INSTALL) -m 0755 -D package/restorecond/S02restorecond \
+		$(TARGET_DIR)/etc/init.d/S02restorecond
 endef
 
 define RESTORECOND_INSTALL_INIT_SYSTEMD


More information about the buildroot mailing list